#
# spec file for package python-pytest-shell-utilities
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pytest-shell-utilities
Version:        1.8.0
Release:        1.1
Summary:        Pytest plugin to simplify running shell commands against the system
License:        Apache-2.0
URL:            https://github.com/saltstack/pytest-shell-utilities
Source:         https://files.pythonhosted.org/packages/source/p/pytest-shell-utilities/pytest-shell-utilities-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 50.3.2}
BuildRequires:  %{python_module setuptools-declarative-requirements}
BuildRequires:  %{python_module setuptools_scm >= 3.4}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module attrs >= 22.1.0}
BuildRequires:  %{python_module psutil >= 5.0.0}
BuildRequires:  %{python_module pytest >= 7.3.0}
BuildRequires:  %{python_module pytest-helpers-namespace}
BuildRequires:  %{python_module pytest-skip-markers}
BuildRequires:  %{python_module pytest-subtests}
BuildRequires:  %{python_module typing-extensions}
# /SECTION
BuildRequires:  fdupes
Requires:       python-attrs >= 22.1.0
Requires:       python-psutil >= 5.0.0
Requires:       python-pytest >= 7.3.0
Requires:       python-pytest-helpers-namespace
Requires:       python-pytest-skip-markers
Requires:       python-typing-extensions
BuildArch:      noarch
%python_subpackages

%description
Pytest plugin to simplify running shell commands against the system

%prep
%setup -q -n pytest-shell-utilities-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python_sitelib}/pytestshellutils
%{python_sitelib}/pytest_shell_utilities-%{version}*-info

%changelog
* Tue Nov  7 2023 Dirk Müller <dmueller@suse.com>
- update to 1.8.0:
  * Drop support for python versions older than 3.7
  * Support Python 3.11
  * Set minimal attrs version to 22.1.0
  * Start running tests against Py3.11 and Pytest `7.3.x` and
    `7.4.x`
  * Update copyright headers
  * ``Subprocess.run()`` now accepts ``shell`` keyword argument
    like ``subprocess.Popen``.
* Thu Oct 12 2023 Ondřej Súkup <mimi.vx@gmail.com>
- enable testsuite
* Wed Sep  7 2022 Alexander Graul <alexander.graul@suse.com>
- Initial package
